Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Array_Out_T< T, T_var, T_slice > Class Template Reference

Parametrized implementation of _out class for arrays. More...

`#include <Array_VarOut_T.h>`

Collaboration diagram for TAO_Array_Out_T< T, T_var, T_slice >:

[legend]
List of all members.

## Public Methods
| TAO_Array_Out_T (T_slice *&)
| TAO_Array_Out_T (T_var &)
| TAO_Array_Out_T (const TAO_Array_Out_T< T, T_var, T_slice > &)
TAO_Array_Out_T< T, T_var, T_slice > & | operator= (const TAO_Array_Out_T< T, T_var, T_slice > &)
TAO_Array_Out_T< T, T_var, T_slice > & | operator= (T_slice *)
| operator T_slice *& ()
T_slice *& | ptr (void)
T_slice & | operator[] (CORBA::ULong index)
const T_slice & | operator[] (CORBA::ULong index) const
## Private Types
typedef TAO_Array_Out_T< T, T_var, T_slice > | THIS_OUT_TYPE
## Private Methods
void | operator= (const T_var &)
## Private Attributes
T_slice *& | ptr_

## Detailed Description

### template<typename T, typename T_var, typename T_slice>
class TAO_Array_Out_T< T, T_var, T_slice >

Parametrized implementation of _out class for arrays.

## Member Typedef Documentation

template<typename T, typename T_var, typename T_slice>
typedef TAO_Array_Out_T<T,T_var,T_slice> TAO_Array_Out_T< T, T_var, T_slice >::THIS_OUT_TYPE`[private]`

## Constructor & Destructor Documentation

template<typename T, typename T_var, typename T_slice>
ACE_INLINE TAO_Array_Out_T< T, T_var, T_slice >::TAO_Array_Out_T | ( | T_slice *& |  | ) |

template<typename T, typename T_var, typename T_slice>
ACE_INLINE TAO_Array_Out_T< T, T_var, T_slice >::TAO_Array_Out_T | ( | T_var & |  | ) |

template<typename T, typename T_var, typename T_slice>
ACE_INLINE TAO_Array_Out_T< T, T_var, T_slice >::TAO_Array_Out_T | ( | const TAO_Array_Out_T< T, T_var, T_slice > & |  | ) |

## Member Function Documentation

template<typename T, typename T_var, typename T_slice>
ACE_INLINE TAO_Array_Out_T< T, T_var, T_slice >::operator T_slice *& | ( |  | ) |

template<typename T, typename T_var, typename T_slice>
void TAO_Array_Out_T< T, T_var, T_slice >::operator= | ( | const T_var & |  | ) | `[private]`

template<typename T, typename T_var, typename T_slice>
ACE_INLINE TAO_Array_Out_T< T, T_var, T_slice > & TAO_Array_Out_T< T, T_var, T_slice >::operator= | ( | T_slice * |  | ) |

template<typename T, typename T_var, typename T_slice>
ACE_INLINE TAO_Array_Out_T< T, T_var, T_slice > & TAO_Array_Out_T< T, T_var, T_slice >::operator= | ( | const TAO_Array_Out_T< T, T_var, T_slice > & |  | ) |

template<typename T, typename T_var, typename T_slice>
const T_slice& TAO_Array_Out_T< T, T_var, T_slice >::operator[] | ( | CORBA::ULong | index | ) | const

template<typename T, typename T_var, typename T_slice>
ACE_INLINE T_slice & TAO_Array_Out_T< T, T_var, T_slice >::operator[] | ( | CORBA::ULong | index | ) |

template<typename T, typename T_var, typename T_slice>
ACE_INLINE T_slice *& TAO_Array_Out_T< T, T_var, T_slice >::ptr | ( | void |  | ) |

## Member Data Documentation

template<typename T, typename T_var, typename T_slice>
T_slice*& TAO_Array_Out_T< T, T_var, T_slice >::ptr_`[private]`

The documentation for this class was generated from the following files:

- Array_VarOut_T.h
- Array_VarOut_T.inl